Skip to content

Server-sent events with payment status changes

GET
/v1/public/checkout-sessions/{session_id}/events
curl --request GET \
--url https://api.feitpay.com/v1/public/checkout-sessions/example/events

Emits event: status messages whose data is a CheckoutStatusEvent. Clients should fall back to polling the session every 3 seconds.

session_id
required
string
/^cs_[0-9A-Z]{32}$/

SSE stream.

Media typetext/event-stream
string

Resource not found (or not visible to this tenant).

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error conflict_error idempotency_error rate_limit_error feature_unavailable_error api_error
code
required
string
message
required
string
param
string
request_id
required
string

Example

{
"error": {
"type": "invalid_request_error"
}
}